''''''''''''''''''''''''''''''''''''''''''''''''''
' Copyright www.acecomputing.biz
' Feel free to use and modify this code for private use.
' Not licensed for resale
'''''''''''''''''''''''''''''''''''''''''''''''''''
Public Class PDFObject
    Public ReadOnly _copyrightAceComputing As String = "www.acecomputing.biz"
    Dim _resources As String
    Public _fonts As ArrayList
    Private _streams As Queue
    Public PageBreak As Boolean = False

    Public Sub New()
        _fonts = New ArrayList()
        _streams = New Queue()
    End Sub

    Public Sub addStream(ByVal stream As String)
        _streams.Enqueue(stream)
    End Sub

    Public Function FontExists(ByVal font As String) As Boolean
        Dim fontobj As String
        ' FontExists = False
        For Each fontobj In _fonts
            If fontobj.Equals(font) Then
                ' FontExists = True
                Return True
            End If
        Next
        Return False
    End Function

    Public Function getStream() As String
        getStream = _streams.Dequeue()
    End Function

    Public Function count() As Integer
        count = _streams.Count
    End Function

    Public Property Resources() As String
        Get
            Return (_resources)
        End Get
        Set(ByVal Value As String)
            _resources = Value
        End Set
    End Property
End Class
