''''''''''''''''''''''''''''''''''''''''''''''''''
' Copyright www.acecomputing.biz
' Feel free to use and modify this code for private use.
' Not licensed for resale
'''''''''''''''''''''''''''''''''''''''''''''''''''
Public Class TextObject
    Public ReadOnly _copyrightAceComputing As String = "www.acecomputing.biz"
    Dim _Text As String = ""
    Dim _Font As FontObj
    Dim _FontSize As Integer = 10

    Public Sub New()
        _Text = ""
        _Font = New FontObj()
        _FontSize = 10
    End Sub

    Public Property FontStyle() As FontStyles
        Get
            Return _Font.FontStyle
        End Get
        Set(ByVal MyStyle As FontStyles)
            _Font.FontStyle = MyStyle
        End Set
    End Property

    Public Property Text() As String
        Get
            Return _Text
        End Get
        Set(ByVal myText As String)
            _Text = myText
        End Set
    End Property

    Public Property FontSize() As Integer
        Get
            Return _FontSize
        End Get
        Set(ByVal size As Integer)
            If size < 1 Then
                Throw New Exception("Invalid fontsize")
            End If
            _FontSize = size
        End Set
    End Property

    Public Property Font() As Fonts
        Get
            Return _Font.Font
        End Get
        Set(ByVal myFont As Fonts)
            _Font.Font = myFont
        End Set
    End Property

    Public Property FontObj() As FontObj
        Get
            Return _Font
        End Get
        Set(ByVal myFont As FontObj)
            _Font = myFont
        End Set
    End Property
End Class