''''''''''''''''''''''''''''''''''''''''''''''''''
' Copyright www.acecomputing.biz
' Feel free to use and modify this code for private use.
' Not licensed for resale
'''''''''''''''''''''''''''''''''''''''''''''''''''

Public Class PageBreak
    Implements iDrawableObject
    Public ReadOnly _copyrightAceComputing As String = "www.acecomputing.biz"
    Private _startH As Integer

    Function GetCopy() As iDrawableObject Implements iDrawableObject.GetCopy
        Dim pg As PageBreak
        pg = New PageBreak()
        pg._startH = _startH
        Return pg
    End Function

    Function Draw(ByRef StartV As Integer, ByVal width As Integer, ByRef FontAlias As Hashtable, _
        ByRef PageNum As Integer, ByVal Topstart As Integer) As PDFObject Implements iDrawableObject.draw
        Dim stream As String, PDFO As PDFObject, mid As Integer
        PDFO = New PDFObject()
        mid = _startH + width / 2
        PageNum += 1
        stream = "BT" & vbCr
        stream += "/F1 " & 10 & " Tf" & vbCr
        stream += "1 0 0 1 " & mid & " 50 Tm" & vbCr
        stream += "(" & PageNum & ") Tj" & vbCr
        stream += "/F1 " & 6 & " Tf" & vbCr
        stream += "1 0 0 1 " & _startH & " 50 Tm" & vbCr
        stream += "(Copyright Arne@garvander.com) Tj" & vbCr
        stream += "ET" & vbCr
        PDFO.addStream(stream)
        Return PDFO
    End Function

    Property StartPDFH() As Integer Implements iDrawableObject.StartPDFH
        Get
            Return Me._startH
        End Get
        Set(ByVal H As Integer)
            _startH = H
        End Set
    End Property

    Overrides Function toString() As String Implements iDrawableObject.toString
        toString = "Page Break"
    End Function

    'Private Sub SetFormatOptions(ByVal firstPage As Int32, ByVal lastPage As Int32, ByVal useRange As Boolean)

    '    ' Declare variables and get the export options.
    '    Dim exportOpts As New ExportOptions()
    '    Dim pdfRtfWordOpts As New PdfRtfWordFormatOptions()

    '    ' Set the export format.
    '    pdfRtfWordOpts.FirstPageNumber = firstPage
    '    pdfRtfWordOpts.LastPageNumber = lastPage
    '    pdfRtfWordOpts.UsePageRange = useRange
    '    Report.ExportOptions.FormatOptions = pdfRtfWordOpts
    '    Report.ExportOptions.ExportFormatType = _
    '    ExportFormatType.pdf
    'End Sub


End Class
