''''''''''''''''''''''''''''''''''''''''''''''''''
' Copyright www.acecomputing.biz
' Feel free to use and modify this code for private use.
' Not licensed for resale
'''''''''''''''''''''''''''''''''''''''''''''''''''
Public Class Row
    Public ReadOnly _copyrightAceComputing As String = "www.acecomputing.biz"
    Private _cells As ArrayList
    Private _height As Integer

    Public Sub New()
        _cells = New ArrayList()
    End Sub

    Public Sub AddCell(ByVal myCell As Cell)
        Dim aCell As Cell
        aCell = myCell.getCopy
        _cells.Add(aCell)
    End Sub

    ReadOnly Property HeightinPDFUnits()
        Get
            Return _height
        End Get
    End Property

    ReadOnly Property cells() As ArrayList
        Get
            Return _cells
        End Get
    End Property

    Function CalculateHeight(ByVal width As Integer, ByVal cellpadding As Integer)
        Dim cell As Cell, h As Integer
        Dim w As Integer                ' Printable width
        _height = 0
        width = width / _cells.Count
        w = width - 2 * cellpadding
        For Each cell In _cells
            h = cell.calculateHeight(w)
            If h > _height Then
                _height = h
            End If
        Next
        _height += 2 * cellpadding
        CalculateHeight = _height
    End Function
End Class
