Public Class TextObject
    Dim _Text As String = ""
    Dim _Font As FontObj
    Dim _FontSize As Integer = 10

    Public Sub New()
        _Text = ""
        _Font = New FontObj()
        _FontSize = 10
    End Sub

    Public Property Text() As String
        Get
            Return _Text
        End Get
        Set(ByVal myText As String)
            _Text = myText
        End Set
    End Property

    Public Property FontSize() As Integer
        Get
            Return _FontSize
        End Get
        Set(ByVal size As Integer)
            If size < 1 Then
                Throw New Exception("Invalid fontsize")
            End If
            _FontSize = size
        End Set
    End Property

    Public Property Font() As Fonts
        Get
            Return _Font.Font
        End Get
        Set(ByVal myFont As Fonts)
            _Font.Font = myFont
        End Set
    End Property

    Public Property FontObj() As FontObj
        Get
            Return _Font
        End Get
        Set(ByVal myFont As FontObj)
            _Font = myFont
        End Set
    End Property
End Class
